Skip to main content
`Ctrl`+`K`

# DMPlexGetDepth

Get the depth of the DAG representing this mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepth(DM dm, PetscInt *depth)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- depth - The number of strata (breadth first levels) in the DAG

## Notes

This returns maximum of point depths over all points, i.e. maximum value of the label returned by `DMPlexGetDepthLabel()`.

The point depth is described more in detail in `DMPlexGetDepthStratum()`.

An empty mesh gives -1.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetDepthLabel()`, `DMPlexGetDepthStratum()`, `DMPlexGetPointDepth()`, `DMPlexSymmetrize()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex11_sa.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages